Delete project
curl --request DELETE \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid} \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Project
Delete project
Deletes the specified project.
-
When
purge = false(default): The project, along with all its jobs and analyses, is soft-deleted and moved to the recycle bin, where it remains recoverable until permanently removed. -
When
purge = true: The project, its jobs, and its analyses are marked for immediate permanent deletion and are not visible in the recycle bin. A background cleaner process will remove all related data as soon as possible.
DELETE
/
api2
/
v1
/
projects
/
{projectUid}
Delete project
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the project
Query Parameters
When true, permanently deletes immediately; when false (default) moves to recycle bin
Response
No Content
Was this page helpful?